/**
 * Webcam.cpp is part of bmsapp.
 *
 * bmsapp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * bmsapp is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "Webcam.h"
#include "MainWindow.h"

#include <QWebEngineView>

Webcam::Webcam(QString url, QWidget *parent) : QDialog(parent)
{
    qDebug() << "Webcam:" << url;

    dialog = new QDialog(parent);
    dialog->setWindowTitle(tr("BMSapp - Webcam ") + url);
    dialog->setObjectName(QString::fromUtf8("Webcam"));
    dialog->setWindowFlags(Qt::Window | Qt::WindowTitleHint | Qt::CustomizeWindowHint);

    QWebEngineView *m_view(new QWebEngineView(dialog));
    QWebEnginePage *page = m_view->page();

    connect(page, &QWebEnginePage::windowCloseRequested, this, &Webcam::windowClose);

    page->load(QUrl(url));
    page->setBackgroundColor(Qt::transparent);	/* Before page is loaded	*/
    m_view->resize(780, 592);

    dialog->setModal(true);
    dialog->exec();
}


Webcam::~Webcam() { }


void Webcam::windowClose()
{
    dialog->close();
}


